Bug 1810215 - opencv blocks upgrade F31 -> F32
Summary: opencv blocks upgrade F31 -> F32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josh Boyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-04 17:55 UTC by Felix Schwarz
Modified: 2020-06-14 18:24 UTC (History)
11 users (show)

Fixed In Version: opencv-4.2.0-7.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-14 18:24:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Felix Schwarz 2020-03-04 17:55:33 UTC
sudo dnf --releasever=32 --setopt=module_platform_id=platform:f32 \
    --enablerepo=updates-testing --enablerepo=updates-testing-modular \
    distro-sync

…
 Problem 3: problem with installed package opencv-contrib-3.4.8-1.fc31.x86_64
  - package opencv-contrib-4.2.0-3.fc32.x86_64 requires libprotobuf.so.22()(64bit), but none of the providers can be installed
  - opencv-contrib-3.4.8-1.fc31.x86_64 does not belong to a distupgrade repository
  - package protobuf-3.11.2-2.fc32.x86_64 is filtered out by modular filtering

…

 Problem 7: package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_dnn.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_aruco.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_bgsegm.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_bioinspired.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_calib3d.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_ccalib.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_face.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_freetype.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_fuzzy.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_hdf.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_img_hash.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_line_descriptor.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_optflow.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_plot.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_quality.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_reg.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_rgbd.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_saliency.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_structured_light.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_surface_matching.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_text.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_tracking.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_ximgproc.so.4.2()(64bit), but none of the providers can be installed
  - package python3-opencv-4.2.0-3.fc32.x86_64 requires libopencv_xphoto.so.4.2()(64bit), but none of the providers can be installed
  - problem with installed package python3-opencv-3.4.8-1.fc31.x86_64
  - package opencv-contrib-4.2.0-3.fc32.x86_64 requires libprotobuf.so.22()(64bit), but none of the providers can be installed
  - python3-opencv-3.4.8-1.fc31.x86_64 does not belong to a distupgrade repository
  - package protobuf-3.11.2-2.fc32.x86_64 is filtered out by modular filtering
 Problem 8: package opencv-core-4.2.0-3.fc32.x86_64 requires libopencv_calib3d.so.4.2()(64bit), but none of the providers can be installed
  - package opencv-core-4.2.0-3.fc32.x86_64 requires libopencv_optflow.so.4.2()(64bit), but none of the providers can be installed
  - problem with installed package opencv-core-3.4.8-1.fc31.x86_64
  - package opencv-contrib-4.2.0-3.fc32.x86_64 requires libprotobuf.so.22()(64bit), but none of the providers can be installed
  - opencv-core-3.4.8-1.fc31.x86_64 does not belong to a distupgrade repository
  - package protobuf-3.11.2-2.fc32.x86_64 is filtered out by modular filtering
 Problem 9: package opencv-4.2.0-3.fc32.x86_64 requires libopencv_aruco.so.4.2()(64bit), but none of the providers can be installed
  - package opencv-4.2.0-3.fc32.x86_64 requires libopencv_calib3d.so.4.2()(64bit), but none of the providers can be installed
  - package opencv-4.2.0-3.fc32.x86_64 requires libopencv_xobjdetect.so.4.2()(64bit), but none of the providers can be installed
  - problem with installed package opencv-3.4.8-1.fc31.x86_64
  - package opencv-contrib-4.2.0-3.fc32.x86_64 requires libprotobuf.so.22()(64bit), but none of the providers can be installed
  - opencv-3.4.8-1.fc31.x86_64 does not belong to a distupgrade repository
  - package protobuf-3.11.2-2.fc32.x86_64 is filtered out by modular filtering



Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Nicolas Chauvet (kwizart) 2020-03-04 18:17:44 UTC
This is not opencv fault that libprotobuf isn't installable because filtered by modular. You need to disable any module filering 
quoting: "package protobuf-3.11.2-2.fc32.x86_64 is filtered out by modular filtering"

re-assigned to distribution.
Feel free to add a f32-beta blocker.


Note You need to log in before you can comment on or make changes to this bug.